%define __libtoolize    /bin/true


Name:           getfem++
Summary:        Generic and efficient C++ library for finite element methods
Version:        4.0.0
Release:        %mkrel 1
Url:            http://home.gna.org/getfem/
License:        LGPLv2+
Group:          Development/C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	blas-devel
BuildRequires:	boost-static-devel
Source0:	http://download.gna.org/getfem/stable/getfem-%version.tar.xz

%description
The Getfem++ project focuses on the development of a generic and efficient 
C++ library for finite element methods. The goal is to provide a library 
allowing the computation of any elementary matrix (even for mixed finite 
element methods) on the largest class of methods and elements, and for 
arbitrary dimension (i.e. not only 2D and 3D problems).

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/getfem-config                    
%{_prefix}/getfem_toolbox
%{_includedir}/gmm
%{_includedir}/getfem
%{_includedir}/getfem_boost
%{_libdir}/libgetfem.a
%{_libdir}/libgetfem.la

#--------------------------------------------------------------------

%prep
%setup -qn getfem-%{version}

%build
export CFLAGS="%optflags -fno-strict-aliasing"
%configure2_5x --enable-boost
%make

%install
rm -fr %buildroot
%makeinstall_std

%clean
%{__rm} -rf "%{buildroot}"


%changelog
* Fri Jul 09 2010 Texstar <texstar at gmail.com> 4.0.0-1pclos2010
- 4.0.0

